This support article serves app versions 2.4.3 or earlier. If you have app version 2.4.3 or earlier, please update to the new version of V1 Golf by visiting your app store!

If you're a user with app version 3.0 or greater, please go here for support.

Watch: How to Create Your Account in the V1 Golf App

Did this answer your question?